Bug 996738 - [abrt] Zim-0.60-1.fc18: gtk_tree_view_button_press: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] Zim-0.60-1.fc18: gtk_tree_view_button_press: Process /usr/bin/python2....
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:28abe188b42ed1c3cbc97449592...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-13 16:36 EDT by alexmv
Modified: 2014-02-05 17:16 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 17:16:42 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (122.71 KB, text/plain)
2013-08-13 16:36 EDT, alexmv
no flags Details
File: cgroup (129 bytes, text/plain)
2013-08-13 16:36 EDT, alexmv
no flags Details
File: core_backtrace (13.64 KB, text/plain)
2013-08-13 16:36 EDT, alexmv
no flags Details
File: dso_list (13.58 KB, text/plain)
2013-08-13 16:36 EDT, alexmv
no flags Details
File: environ (1.62 KB, text/plain)
2013-08-13 16:36 EDT, alexmv
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-13 16:36 EDT, alexmv
no flags Details
File: maps (65.74 KB, text/plain)
2013-08-13 16:36 EDT, alexmv
no flags Details
File: open_fds (1.29 KB, text/plain)
2013-08-13 16:37 EDT, alexmv
no flags Details
File: proc_pid_status (946 bytes, text/plain)
2013-08-13 16:37 EDT, alexmv
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Launchpad 1212075 None None None Never

  None (edit)
Description alexmv 2013-08-13 16:36:40 EDT
Description of problem:
Go to Etit->Preferences
Choose tab Plugins
Check Arithmetic
Click OK
Bring up Plugins tab again
Try to uncheck Arithmetic
Zim crashes

Version-Release number of selected component:
Zim-0.60-1.fc18

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/zim --ipc-server-main /tmp/zim-alex/zim-server-socket 30
crash_function: gtk_tree_view_button_press
executable:     /usr/bin/python2.7
kernel:         3.9.5-201.fc18.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug 13 13:18:06 alex abrt[21802]: Saved core dump of pid 21252 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-08-13-13:18:06-21252 (73183232 bytes)
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_tree_view_button_press at gtktreeview.c:2770
 #1 _wrap_GtkWidget__do_button_press_event at gtk.c:10878
 #2 call_function at /usr/src/debug/Python-2.7.3/Python/ceval.c:4098
 #3 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:2740
 #4 PyEval_EvalCodeEx at /usr/src/debug/Python-2.7.3/Python/ceval.c:3330
 #5 function_call at /usr/src/debug/Python-2.7.3/Objects/funcobject.c:526
 #6 PyObject_Call at /usr/src/debug/Python-2.7.3/Objects/abstract.c:2529
 #7 instancemethod_call at /usr/src/debug/Python-2.7.3/Objects/classobject.c:2578
 #8 PyObject_Call at /usr/src/debug/Python-2.7.3/Objects/abstract.c:2529
 #9 PyEval_CallObjectWithKeywords at /usr/src/debug/Python-2.7.3/Python/ceval.c:3967
Comment 1 alexmv 2013-08-13 16:36:43 EDT
Created attachment 786272 [details]
File: backtrace
Comment 2 alexmv 2013-08-13 16:36:46 EDT
Created attachment 786273 [details]
File: cgroup
Comment 3 alexmv 2013-08-13 16:36:49 EDT
Created attachment 786274 [details]
File: core_backtrace
Comment 4 alexmv 2013-08-13 16:36:51 EDT
Created attachment 786275 [details]
File: dso_list
Comment 5 alexmv 2013-08-13 16:36:54 EDT
Created attachment 786276 [details]
File: environ
Comment 6 alexmv 2013-08-13 16:36:56 EDT
Created attachment 786277 [details]
File: limits
Comment 7 alexmv 2013-08-13 16:36:59 EDT
Created attachment 786278 [details]
File: maps
Comment 8 alexmv 2013-08-13 16:37:02 EDT
Created attachment 786279 [details]
File: open_fds
Comment 9 alexmv 2013-08-13 16:37:04 EDT
Created attachment 786280 [details]
File: proc_pid_status
Comment 10 Robin Lee 2013-08-13 22:28:43 EDT
This issue is reproducible.
Comment 11 Fedora End Of Life 2013-12-21 09:28:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 12 Fedora End Of Life 2014-02-05 17:16:42 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.